const { merge } = require('webpack-merge');

const common = require('./webpack-common');
const myEnv = require('dotenv').config({ path: 'config/app/.env.local' }).parsed;

module.exports = (env, args) => {
	return merge(common(env, args, myEnv), {
		mode: 'development',
		devtool: 'inline-source-map',
		devServer: {
			host: '0.0.0.0',
			port: '3330',
			hot: true,
			historyApiFallback: true,
		},
	});
};
